Package writer2latex.latex.util

# Class Context

java.lang.Object
writer2latex.latex.util.Context

public class Context extends Object

LaTeX code is in general very context dependent. This class tracks the current context, which is the used by the converter to create valid and optimal LaTeX code.

## Constructor Summary

Constructors
Constructor
Description
`Context()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`clone()`
`String`
`getBgColor()`
`String`
`getCountry()`
`String`
`getFontColor()`
`String`
`getFontName()`
`String`
`getFontSize()`
`String`
`getFontStyle()`
`String`
`getFontVariant()`
`String`
`getFontWeight()`
`String`
`getLang()`
`int`
`getListLevel()`
`String`
`getListStyleName()`
`void`
`incListLevel()`
`boolean`
`isIgnoreLists()`
`boolean`
`isInCaption()`
`boolean`
`isInContinuedList()`
`boolean`
`isInFigureFloat()`
`boolean`
`isInFootnote()`
`boolean`
`isInFrame()`
`boolean`
`isInHeaderFooter()`
`boolean`
`isInLastTableColumn()`
`boolean`
`isInMulticols()`
`boolean`
`isInSection()`
`boolean`
`isInSimpleTable()`
`boolean`
`isInTable()`
`boolean`
`isInTableFloat()`
`boolean`
`isInZoteroJabRefText()`
`boolean`
`isMathMode()`
`boolean`
`isNoFootnotes()`
`boolean`
`isNoLineBreaks()`
`boolean`
`isVerbatim()`
`void`
`resetFormattingFromStyle(StyleWithProperties style)`
`void`
`setBgColor(String sBgColor)`
`void`
`setCountry(String sCountry)`
`void`
`setFontColor(String sFontColor)`
`void`
`setFontName(String sFontName)`
`void`
`setFontSize(String sFontSize)`
`void`
`setFontStyle(String sFontStyle)`
`void`
`setFontVariant(String sFontVariant)`
`void`
`setFontWeight(String sFontWeight)`
`void`
`setIgnoreLists(boolean bIgnoreLists)`
`void`
`setInCaption(boolean bInCaption)`
`void`
`setInContinuedList(boolean bInContinuedList)`
`void`
`setInFigureFloat(boolean bInFigureFloat)`
`void`
`setInFootnote(boolean bInFootnote)`
`void`
`setInFrame(boolean bInFrame)`
`void`
`setInHeaderFooter(boolean bInHeaderFooter)`
`void`
`setInLastTableColumn(boolean bInLastTableColumn)`
`void`
`setInMulticols(boolean bInMulticols)`
`void`
`setInSection(boolean bInSection)`
`void`
`setInSimpleTable(boolean bInSimpleTable)`
`void`
`setInTable(boolean bInTable)`
`void`
`setInTableFloat(boolean bInTableFloat)`
`void`
`setInZoteroJabRefText(boolean bInZoteroJabRefText)`
`void`
`setLang(String sLang)`
`void`
`setListLevel(int nListLevel)`
`void`
`setListStyleName(String sListStyleName)`
`void`
`setMathMode(boolean bMathMode)`
`void`
`setNoFootnotes(boolean bNoFootnotes)`
`void`
`setNoLineBreaks(boolean bNoLineBreaks)`
`void`
`setVerbatim(boolean bVerbatim)`
`void`
`updateFormattingFromStyle(StyleWithProperties style)`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Context

public Context()

## Method Details

### setBgColor

public void setBgColor(String sBgColor)

### getBgColor

public String getBgColor()

### setListStyleName

public void setListStyleName(String sListStyleName)

### getListStyleName

public String getListStyleName()

### setFontName

public void setFontName(String sFontName)

### getFontName

public String getFontName()

### setFontStyle

public void setFontStyle(String sFontStyle)

### getFontStyle

public String getFontStyle()

### setFontVariant

public void setFontVariant(String sFontVariant)

### getFontVariant

public String getFontVariant()

### setFontWeight

public void setFontWeight(String sFontWeight)

### getFontWeight

public String getFontWeight()

### setFontSize

public void setFontSize(String sFontSize)

### getFontSize

public String getFontSize()

### setFontColor

public void setFontColor(String sFontColor)

### getFontColor

public String getFontColor()

### setLang

public void setLang(String sLang)

### getLang

public String getLang()

### setCountry

public void setCountry(String sCountry)

### getCountry

public String getCountry()

### setInHeaderFooter

public void setInHeaderFooter(boolean bInHeaderFooter)

### isInHeaderFooter

public boolean isInHeaderFooter()

### setInTable

public void setInTable(boolean bInTable)

### isInTable

public boolean isInTable()

### setInLastTableColumn

public void setInLastTableColumn(boolean bInLastTableColumn)

### isInLastTableColumn

public boolean isInLastTableColumn()

### setInSimpleTable

public void setInSimpleTable(boolean bInSimpleTable)

### isInSimpleTable

public boolean isInSimpleTable()

### setInMulticols

public void setInMulticols(boolean bInMulticols)

### isInMulticols

public boolean isInMulticols()

### setListLevel

public void setListLevel(int nListLevel)

### incListLevel

public void incListLevel()

### getListLevel

public int getListLevel()

### setInContinuedList

public void setInContinuedList(boolean bInContinuedList)

### isInContinuedList

public boolean isInContinuedList()

### setInSection

public void setInSection(boolean bInSection)

### isInSection

public boolean isInSection()

### setInCaption

public void setInCaption(boolean bInCaption)

### isInCaption

public boolean isInCaption()

### setInZoteroJabRefText

public void setInZoteroJabRefText(boolean bInZoteroJabRefText)

### isInZoteroJabRefText

public boolean isInZoteroJabRefText()

### setInFigureFloat

public void setInFigureFloat(boolean bInFigureFloat)

### isInFigureFloat

public boolean isInFigureFloat()

### setInTableFloat

public void setInTableFloat(boolean bInTableFloat)

### isInTableFloat

public boolean isInTableFloat()

### setInFrame

public void setInFrame(boolean bInFrame)

### isInFrame

public boolean isInFrame()

### setInFootnote

public void setInFootnote(boolean bInFootnote)

### isInFootnote

public boolean isInFootnote()

### setNoFootnotes

public void setNoFootnotes(boolean bNoFootnotes)

### isNoFootnotes

public boolean isNoFootnotes()

### setIgnoreLists

public void setIgnoreLists(boolean bIgnoreLists)

### isIgnoreLists

public boolean isIgnoreLists()

### setNoLineBreaks

public void setNoLineBreaks(boolean bNoLineBreaks)

### isNoLineBreaks

public boolean isNoLineBreaks()

### isVerbatim

public boolean isVerbatim()

### setVerbatim

public void setVerbatim(boolean bVerbatim)

### isMathMode

public boolean isMathMode()

### setMathMode

public void setMathMode(boolean bMathMode)

### updateFormattingFromStyle

public void updateFormattingFromStyle(StyleWithProperties style)

### resetFormattingFromStyle

public void resetFormattingFromStyle(StyleWithProperties style)

### clone

public Object clone()

Overrides:
  `clone` in class `Object`